/****************  Includes  ****************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "repertoire.h"
#include "ajouter.h"
#include "chercher.h"



/****************  Main function  ****************/
int
main(int argc, char * argv[])
{
  Repert repert;                            /*  Le répertoire courant  */
  char nom[64];                             /*  Le nom courant  */
  char numero[64];                          /*  Le numéro courant  */
  char numero_trouve[REPERT_CHAMP_TAILLE];  /*  Le numéro trouvé  */
  char adresse_trouve[512];
  char adresse[512];
  Date anniversaire, anniversaire_trouve;
  
  repertInit(&repert);

  while (1) {
    /*  Récupération du nom  */
    printf("Entrez le nom : ");
    scanf("%63s", nom);
    nom[63] = '\0';
    /* Si on entre . rien ne sera fait */
    /* Si on entre + on ajoutera une nouvelle carte*/
    /* Sinon on lit la carte*/


    /* Si phase d'ajout  */
    if (strcmp(nom, "+") == 0)   
      {
	/*  Récupération des informations  */
	printf("Entrez le nom à ajouter : ");
	scanf("%63s", nom);
	nom[63] = '\0';
	
	printf("Entrez le numéro associé : ");
	scanf("%63s", numero);
	numero[63] = '\0';
	
	fflush(stdin);
	printf("Entrez l'adresse :");
	scanf("%511[^\n]", adresse);
	adresse[511]= '\0';

	printf("Entrez le jour de naissance :");
	scanf("%d",&anniversaire.jour);
	printf("Entrez le mois de naissance :");
	scanf("%d",&anniversaire.mois);
	printf("Entrez l'anne de naissance :");
	scanf("%d",&anniversaire.annee);


	/*  Ajout de la nouvelle carte  */
	if (repertAjoute(&repert, nom, numero, adresse, &anniversaire) != 0) {
	  printf("Désolé, je n'ai pas pu ajouter le nom.\n");
	}
      }
    
    /*  Terminaison  */
    else if (strcmp(nom, ".") == 0)
      {
	return (0);
      }
    

    /*  Phase de consultation  */
    else {
      /*  Si carte pas trouvée  */
      if (repertCherche(&repert, nom, numero_trouve, adresse_trouve, &anniversaire_trouve) != 0)
	{
	  printf("Désolé, je ne connais pas le nom \"%s\".\n", nom);
	}
      /*  Si carte trouvée  */
      else
	{
	  printf("Le numéro de téléphone de \"%s\" est : %s.\n",
		 nom,
		 numero_trouve);
	  printf("L'adresse de \"%s\" est : %s.\n",
		 nom,
		 adresse);
	  printf("La date de naissance de \"%s\" est : %d %d %d.\n",
		 nom,
		 anniversaire_trouve.jour, anniversaire_trouve.mois, anniversaire_trouve.annee);
	}
    }
  }
}

